﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics45.Web.v14.2, Version=14.2.20142.2146, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
    <script type="text/javascript" id="igClientScript1">
        var currentCellColumnIndex;

        function WebDataGrid1_CellEditing_EnteredEditMode(sender, eventArgs) {
            currentCellColumnIndex = eventArgs.getCell().get_column().get_index();
        }

        function WebDataGrid1_Grid_KeyDown(sender, eventArgs) {
            var columnKey = sender.get_behaviors().get_activation().get_activeCell().get_column().get_key();

            var rowsCount, columnsCount, rowIndex, fromLastColumn, keyCode, newActiveCell;

            rowsCount = sender.get_rows().get_length();
            columnsCount = sender.get_columns().get_length();
            rowIndex = sender.get_behaviors().get_activation().get_activeCell().get_row().get_index();
            fromLastColumn = sender.get_behaviors().get_activation().get_activeCell().get_column().get_index();
            keyCode = eventArgs.get_browserEvent().keyCode;

            if (keyCode == 9) {
                if ((rowIndex + 1) === rowsCount) {
                    if (fromLastColumn === 0) {
                        newActiveCell = sender.get_rows().get_row(rowIndex).get_cell(currentCellColumnIndex);
                    } else {
                        newActiveCell = sender.get_rows().get_row(0).get_cell(++currentCellColumnIndex);

                    }
                } else {
                    if (fromLastColumn === 0) {
                        newActiveCell = sender.get_rows().get_row(rowIndex).get_cell(currentCellColumnIndex);
                    } else {
                        newActiveCell = sender.get_rows().get_row(rowIndex + 1).get_cell(currentCellColumnIndex);
                    }
                }
                sender.get_behaviors().get_activation().set_activeCell(newActiveCell);
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <ig:WebDataGrid ID="WebDataGrid1" runat="server" Height="350px" Width="400px"
                DataKeyFields="EmployeeId" AutoGenerateColumns="false">
                <ClientEvents KeyDown="WebDataGrid1_Grid_KeyDown" />
                <Columns>
                    <ig:BoundDataField Key="EmployeeId" Hidden="true" Header-Text="EmployeeId">
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="LastName" Header-Text="LastName">
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="FirstName" Header-Text="FirstName">
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="Title" Header-Text="Title">
                    </ig:BoundDataField>
                    <ig:BoundDataField Key="Address" Header-Text="Address">
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:EditingCore BatchUpdating="true">
                        <Behaviors>
                            <ig:CellEditing>
                                <CellEditingClientEvents EnteredEditMode="WebDataGrid1_CellEditing_EnteredEditMode" />
                                <EditModeActions MouseClick="Single" EnableOnActive="True" />
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:Selection>
                    </ig:Selection>
                    <ig:Activation>
                    </ig:Activation>
                </Behaviors>
            </ig:WebDataGrid>
        </div>
    </form>
</body>
</html>
